"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AgentMessage = void 0;
const AckDecoratorExtension_1 = require("../decorators/ack/AckDecoratorExtension");
const AttachmentExtension_1 = require("../decorators/attachment/AttachmentExtension");
const L10nDecoratorExtension_1 = require("../decorators/l10n/L10nDecoratorExtension");
const ServiceDecoratorExtension_1 = require("../decorators/service/ServiceDecoratorExtension");
const ThreadDecoratorExtension_1 = require("../decorators/thread/ThreadDecoratorExtension");
const TimingDecoratorExtension_1 = require("../decorators/timing/TimingDecoratorExtension");
const TransportDecoratorExtension_1 = require("../decorators/transport/TransportDecoratorExtension");
const JsonTransformer_1 = require("../utils/JsonTransformer");
const messageType_1 = require("../utils/messageType");
const BaseMessage_1 = require("./BaseMessage");
const Decorated = ThreadDecoratorExtension_1.ThreadDecorated(L10nDecoratorExtension_1.L10nDecorated(TransportDecoratorExtension_1.TransportDecorated(TimingDecoratorExtension_1.TimingDecorated(AckDecoratorExtension_1.AckDecorated(AttachmentExtension_1.AttachmentDecorated(ServiceDecoratorExtension_1.ServiceDecorated(BaseMessage_1.BaseMessage)))))));
class AgentMessage extends Decorated {
    toJSON({ useLegacyDidSovPrefix = false } = {}) {
        const json = JsonTransformer_1.JsonTransformer.toJSON(this);
        if (useLegacyDidSovPrefix) {
            messageType_1.replaceNewDidCommPrefixWithLegacyDidSovOnMessage(json);
        }
        return json;
    }
    is(Class) {
        return this.type === Class.type.messageTypeUri;
    }
}
exports.AgentMessage = AgentMessage;
//# sourceMappingURL=AgentMessage.js.map