import type { AgentContext } from '../agent';
import type { Buffer } from '../utils';
import type { Jws, JwsGeneralFormat } from './JwsTypes';
export declare class JwsService {
    createJws(agentContext: AgentContext, { payload, verkey, header }: CreateJwsOptions): Promise<JwsGeneralFormat>;
    /**
     * Verify a JWS
     */
    verifyJws(agentContext: AgentContext, { jws, payload }: VerifyJwsOptions): Promise<VerifyJwsResult>;
    /**
     * @todo This currently only work with a single alg, key type and curve
     *    This needs to be extended with other formats in the future
     */
    private buildProtected;
}
export interface CreateJwsOptions {
    verkey: string;
    payload: Buffer;
    header: Record<string, unknown>;
}
export interface VerifyJwsOptions {
    jws: Jws;
    payload: Buffer;
}
export interface VerifyJwsResult {
    isValid: boolean;
    signerVerkeys: string[];
}
