import type { ProofAttachmentFormat } from '../../../formats/models/ProofAttachmentFormat';
import { AgentMessage } from '../../../../../agent/AgentMessage';
import { Attachment } from '../../../../../decorators/attachment/Attachment';
import { ProofFormatSpec } from '../../../models/ProofFormatSpec';
export interface V2ProposePresentationMessageOptions {
    id?: string;
    comment?: string;
    goalCode?: string;
    willConfirm?: boolean;
    parentThreadId?: string;
    attachmentInfo: ProofAttachmentFormat[];
}
export declare class V2ProposalPresentationMessage extends AgentMessage {
    constructor(options: V2ProposePresentationMessageOptions);
    addProposalsAttachment(attachment: ProofAttachmentFormat): void;
    /**
     * Every attachment has a corresponding entry in the formats array.
     * This method pairs those together in a {@link ProofAttachmentFormat} object.
     */
    getAttachmentFormats(): ProofAttachmentFormat[];
    readonly type: string;
    static readonly type: import("../../../../../utils/messageType").ParsedMessageType;
    comment?: string;
    goalCode?: string;
    willConfirm: boolean;
    formats: ProofFormatSpec[];
    proposalsAttach: Attachment[];
}
